Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.singularsys.jep.standard
Class StandardOperatorTable2

    java.lang.Object
      com.singularsys.jep.OperatorTable2
          com.singularsys.jep.standard.StandardOperatorTable2

All Implemented Interfaces:
  JepComponent, OperatorTableI, java.io.Serializable

Direct Known Subclasses:
  BigDecOperatorTable, BitwiseOperatorTable, ExtendedOperatorSet

    public class StandardOperatorTable2

extends OperatorTable2

The standard operator table used by Jep.

Author:
  Richard Morris
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.singularsys.jep.OperatorTable2
`OperatorTable2.BasicOperators, OperatorTable2.OperatorKey, OperatorTable2.PsudoOperators, OperatorTable2.SpecialOperators`

Constructor Summary
`StandardOperatorTable2()` Create the standard set of operators.
`StandardOperatorTable2(OperatorTable2 oldTable)`

Method Summary
`void` | `init(Jep jep)` Initialize the component.
`protected void` | `setBasicPfmcs()` Sets the standard set of pfmc's for basic operators.
`protected void` | `setPsudoPfmcs()`
`protected void` | `setSpecialPfmcs()`

Methods inherited from class com.singularsys.jep.OperatorTable2
`addOperator, addOperator, appendOperator, entrySet, getAdd, getAnd, getAssign, getCross, getDivide, getDot, getEle, getEQ, getGE, getGT, getKey, getLE, getLightWeightInstance, getList, getLT, getMod, getMultiply, getNE, getNop, getNot, getNumOps, getOperator, getOperators, getOperatorsByName, getOperatorsBySymbol, getOr, getPower, getRange, getSubtract, getUDivide, getUMinus, getUPlus, insertOperator, keySet, removeOperator, removeOperator, replaceOperator, replaceOperator, setBinaryInverseOp, setDistributiveOver, setInverseOp, setPrecedenceTable, setRootOp, setStandardOperatorRelations, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StandardOperatorTable2

    public StandardOperatorTable2()

  Create the standard set of operators.

### StandardOperatorTable2

    public StandardOperatorTable2(OperatorTable2 oldTable)

Parameters:
  `oldTable` -

Method Detail

### init

    public void init(Jep jep)

  Description copied from interface: `JepComponent`
  Initialize the component. This methods is called whenever a component is added to Jep. Hence it allows components to keep track of the other components they may rely on.

  Specified by:
    `init` in interface `JepComponent`
  Overrides:
    `init` in class `OperatorTable2`
  Parameters:
    `jep` - the current Jep instance

### setBasicPfmcs

    protected void setBasicPfmcs()

  Sets the standard set of pfmc's for basic operators. Subclasses can override this method to change or prevent building of these pfmcs.

### setSpecialPfmcs

    protected void setSpecialPfmcs()

### setPsudoPfmcs

    protected void setPsudoPfmcs()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Singular Systems http://www.singularsys.com/jep